Skip to main content
POST
/
v1
/
a2a
/
{passportId}
/
tasks
/
send
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi({
  bearerAuth: process.env["RAIJINLABSLUCIDAI_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await raijinLabsLucidAi.a2A.lucidSendA2aTask({
    passportId: "<id>",
    body: {
      message: {
        parts: [
          {},
        ],
      },
    },
  });

  console.log(result);
}

run();
{
  "id": "<string>",
  "status": {
    "state": "submitted",
    "timestamp": "2023-11-07T05:31:56Z",
    "message": "<string>"
  },
  "artifacts": [
    {
      "parts": [
        {
          "type": "<string>",
          "text": "<string>"
        }
      ]
    }
  ],
  "history": [
    {}
  ],
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passportId
string
required

Agent passport identifier to send task to

Body

application/json
message
object
required

Response

Task created/forwarded

id
string
status
object
artifacts
object[]
history
object[]
metadata
object